Subject: Re: bug#55862: Removing indent-tabs-mode set to t by default

From: Dmitry Gutov <[email-masked]>
Date: Thu, 9 Jun 2022 17:11:39 +0300

On 09.06.2022 15:40, goncholden via Bug reports for GNU Emacs, the Swiss 
army knife of text editors wrote:
> It is not so easy because one also has to make the change based on major mode.

You can customize 'indent-tabs-mode' globally to nil, to use spaces in 
most language modes.

The ones that really need tabs (such as makefile-mode) will continue to 
use them anyway.